Bug 165176 - log out from gnome panel hangs, freezing panel, on FC4
log out from gnome panel hangs, freezing panel, on FC4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 18:05 EDT by Luke Abraham
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Abraham 2005-08-04 18:05:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Both when using the "Desktop|Log Out" menu (or a "Log Out" button added to the panel) the whole panel freezes, and doesn't begin the log out/restart/shutdown process. Usually the select screen ("Are you sure you want to log out") for these options does not appear, but sometimes the error occurs after an option has been made. In both cases the panel freezes and cannot be used, but a terminal can be obtained by right-clicking. Switching to a console and killing X and then re-starting it alows me to logout and log back in, although sometimes the message (similar, I cannot remember the exact wording) "Gnome has detected a panel already active and shutting it down" and in this case no panel appears at all. 
I can always switch to console and use shutdown to turn off the computer safely, but obviously this bug is very annoying.

Version-Release number of selected component (if applicable):
Linux version 2.6.11-1.1369_FC4smp, Gnome 2.10.0

How reproducible:
Sometimes

Steps to Reproduce:
1.click Desktop from the Gnome Panel
2.click Log Out
3.(if you can) click OK from any option
  

Actual Results:  System does not log out/restart/shutdown, instead nothing happens,and the panel has stopped working (/frozen?).

Expected Results:  system should have log out/restarted/shutdown cleanly

Additional info:

Intel P4 3 GHz processor, 1GB ram, Nvidia GForce FX 5600 128MB graphics card, gigabyte P4 titan motherboard. FC4 full install and up2dated. If any additional system information is required please say what and how to obtain it (thanks).
Comment 1 Mark McLoughlin 2005-08-08 02:41:51 EDT
Have you gnome-panel-2.10.1-10.2 installed?

Could you try and get a stack trace of the panel when its hung?

  http://fedora.linux.duke.edu/wiki/StackTraces
Comment 2 John Thacker 2006-05-05 16:18:25 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.